Leverage travis CI to upgrade to ruby 2.0/2.1 and rspec 3


#1

I have pushed two WIP (work in progress) pull requests that demonstrates how awesome travis is:

Enables running the tests against ruby 2.0 and 2.1 in addition to 1.9.3

See Pull Request

Failures showing the gem default_value_for needing to be upgraded.

After pushing a new commit to upgrade default_value_for, the next errors will be here

Rinse/repeat…

Find and fix rspec 3 deprecations by using rspec 2.99 (use transpec to automatically convert them)

See Pull Request

See travis output for all the lovely deprecations

Fix stuff with transpec try them locally, push changes, wait for travis to tell you what’s left.

Please use the pull requests to report back any changes to fix any of their issues. Anything that is backwards compatible we can change now, outside of these pull requests.